Claim Resource
curl --request POST \
--url https://app.flowglad.com/api/v1/resource-claims/{subscriptionId}/claim \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceSlug": "<string>",
"metadata": {},
"quantity": 123,
"externalId": "<string>",
"externalIds": [
"<string>"
]
}
'import requests
url = "https://app.flowglad.com/api/v1/resource-claims/{subscriptionId}/claim"
payload = {
"resourceSlug": "<string>",
"metadata": {},
"quantity": 123,
"externalId": "<string>",
"externalIds": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceSlug: '<string>',
metadata: {},
quantity: 123,
externalId: '<string>',
externalIds: ['<string>']
})
};
fetch('https://app.flowglad.com/api/v1/resource-claims/{subscriptionId}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claims": [
{
"id": "<string>",
"createdAt": 0,
"updatedAt": 0,
"livemode": true,
"organizationId": "<string>",
"resourceId": "<string>",
"subscriptionId": "<string>",
"pricingModelId": "<string>",
"externalId": "<string>",
"claimedAt": 0,
"releaseReason": "<string>",
"releasedAt": 0,
"expiredAt": 0,
"metadata": {}
}
],
"usage": {
"resourceSlug": "<string>",
"resourceId": "<string>",
"capacity": 0,
"claimed": 0,
"available": 0
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Resource Claims
Claim Resource
Claim a resource for a subscription. Exactly one of quantity, externalId, or externalIds must be provided.
POST
/
api
/
v1
/
resource-claims
/
{subscriptionId}
/
claim
Claim Resource
Authorizations
Path Parameters
Body
application/json
The slug of the resource to claim
Optional metadata to attach to the claim(s)
Show child attributes
Show child attributes
Create N anonymous claims without external identifiers.
Required range:
x <= 9007199254740991Create a single named claim with this external identifier (idempotent).
Maximum string length:
255Create multiple named claims with these external identifiers (idempotent per ID).
Minimum array length:
1Maximum string length:
255Was this page helpful?
⌘I